Macro Toggle Visibility

From FreeCAD Documentation
Revision as of 17:13, 12 November 2015 by Mario52 (talk | contribs) (ver 00.02 12/11/2015 '''macro Macro_SelectVisible''')

File:Macro SelectVisible Macro_SelectVisible

Description
Hidden alls object not selected.

Author: Mario52
Author
Mario52
Download
None
Links
Macro Version
1.0
Date last modified
None
FreeCAD Version(s)
None
Default shortcut
None
See also
None

Description

Set of three macro :

  1. hidden the objects not selected, if not object selected displayed alls objects, hidden alls objects
  2. displayed alls objects
  3. hidden alls objects

Uses

Copy the macros and the icons in your folder macros and run

Macro SelectVisible

This macro hidden alls objects not selected if you selected one object hidden the hidden object are displayed and alls objects not selected are hidden

If not object selected alls objects are hidden

If alls objects are hidden and not selection in Comboview alls object are visible

(This version new version (00.02) include the tree macro in one

The code Macro SelectVisible.FCMacro the icon

import FreeCAD
# Macro_SelectVisible
__title__="Macro_SelectVisible"
__author__ = "Mario52"
__url__     = "http://www.freecadweb.org/index-fr.html"
__version__ = "00.02"
__date__    = "12/11/2015"

try:
    compt = 0
    for ShapeNameObj in FreeCAD.ActiveDocument.Objects:                                   # list alls objet for test if alls hidden
        if (FreeCADGui.ActiveDocument.getObject(ShapeNameObj.Name).Visibility == False) and (Gui.Selection.isSelected(ShapeNameObj) == False):
            compt += 1                                                                    # if hidden : compt += 1
            #print "False : ",ShapeNameObj.Name
    if compt == len(FreeCAD.ActiveDocument.Objects):                                      # if (compt = Alls objects hidden) then Visibility = True
        for ShapeNameObj in FreeCAD.ActiveDocument.Objects:
            FreeCADGui.ActiveDocument.getObject(ShapeNameObj.Name).Visibility = True      # Visibility = True
            #print "True  : ",ShapeNameObj.Name
        compt = 0
    else :
        for ShapeNameObj in FreeCAD.ActiveDocument.Objects:                               # hidde objects not selecteds
            if Gui.Selection.isSelected(ShapeNameObj) == False:
                FreeCADGui.ActiveDocument.getObject(ShapeNameObj.Name).Visibility = False # if objects is not selected then Visibility = False (Hidden)
                #print "False : ",ShapeNameObj.Name
            else:
                FreeCADGui.ActiveDocument.getObject(ShapeNameObj.Name).Visibility = True  # if objects are hidden and selected then Visibility = True and hidden alls objects visibles
                #print "True  : ",ShapeNameObj.Name
except Exception:
    None

Macro VisibleAlls

This macro show all objects.

The code Macro VisibleAlls.FCMacro the icon

import FreeCAD
#Macro_VisibleAlls
__title__="Macro_VisibleAlls"
__author__ = "Mario52"
__url__     = "http://www.freecadweb.org/index-fr.html"
__version__ = "00.00"
__date__    = "11/11/2015"

try:
    for ShapeNameObj in FreeCAD.ActiveDocument.Objects:   # displyed alls objects
        #print ShapeNameObj.Name
        FreeCADGui.ActiveDocument.getObject(ShapeNameObj.Name).Visibility = True
except Exception:
    None

Macro HiddenAlls

This macro hidden all objects.

The code Macro HiddenAlls.FCMacro the icon

import FreeCAD
#Macro_HiddenAlls
__title__="Macro_HiddenAlls"
__author__ = "Mario52"
__url__     = "http://www.freecadweb.org/index-fr.html"
__version__ = "00.00"
__date__    = "11/11/2015"

try:
    for ShapeNameObj in FreeCAD.ActiveDocument.Objects:   # hidden alls objects
        #print ShapeNameObj.Name
        FreeCADGui.ActiveDocument.getObject(ShapeNameObj.Name).Visibility = False
except Exception:
    None

Link

The discussion on the forum Proposal: select one or more pieces, hide the others.

Version

ver 00.02 12/11/2015 macro Macro_SelectVisible : hidden the objects not selected, if not object selected displayed alls objects, hidden alls objects. This version include the tree macro in one


Other languages: